Last Comment Bug 1138125 - this.tree.view is undefined when first opening calendar view
: this.tree.view is undefined when first opening calendar view
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Calendar Views (show other bugs)
: unspecified
: All All
-- normal (vote)
: 4.1
Assigned To: Geoff Lankow (:darktrojan)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-28 17:47 PST by Geoff Lankow (:darktrojan)
Modified: 2015-03-04 01:26 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
unifinder.diff (1.03 KB, patch)
2015-02-28 17:47 PST, Geoff Lankow (:darktrojan)
bv1578: review+
Details | Diff | Splinter Review

Description User image Geoff Lankow (:darktrojan) 2015-02-28 17:47:49 PST
Created attachment 8570983 [details] [diff] [review]
unifinder.diff

> Error: TypeError: this.tree.view is undefined
> Source File: chrome://calendar/content/calendar-unifinder.js
> Line: 624
Comment 1 User image Decathlon 2015-03-03 15:16:50 PST
Comment on attachment 8570983 [details] [diff] [review]
unifinder.diff

It happens if the unifinder is closed when the calendar view is displayed so it seems the right and simplest fix.
Comment 2 User image Geoff Lankow (:darktrojan) 2015-03-04 01:26:56 PST
https://hg.mozilla.org/comm-central/rev/d81874a8fe08

Note You need to log in before you can comment on or make changes to this bug.